### Enumeration

# Gio NetworkConnectivity

since: 2.44

#### Declaration

    enum Gio.NetworkConnectivity

#### Description [src]

The host’s network connectivity state, as reported by `GNetworkMonitor`.

Available since: 2.44

#### Members

`G_NETWORK_CONNECTIVITY_LOCAL`

  The host is not configured with a route to the Internet; it may or may not be connected to a local network.

  - Value: `1`
  - Available since: 2.44
`G_NETWORK_CONNECTIVITY_LIMITED`

  The host is connected to a network, but does not appear to be able to reach the full Internet, perhaps due to upstream network problems.

  - Value: `2`
  - Available since: 2.44
`G_NETWORK_CONNECTIVITY_PORTAL`

  The host is behind a captive portal and cannot reach the full Internet.

  - Value: `3`
  - Available since: 2.44
`G_NETWORK_CONNECTIVITY_FULL`

  The host is connected to a network, and appears to be able to reach the full Internet.

  - Value: `4`
  - Available since: 2.44